<?php
/**
*
* @ This file is created by http://DeZender.Net
* @ deZender (PHP7 Decoder for SourceGuardian Encoder)
*
* @ Version			:	5.0.1.0
* @ Author			:	DeZender
* @ Release on		:	22.04.2022
* @ Official site	:	http://DeZender.Net
*
*/

function my_error_handler($code, $message)
{
	echo sprintf('Something goes wrong. Error code %s. ', $code);
	echo '<p> Please contact <a href=\'https://brboxofapknpanels.com\'>brbox Of APK n PANELS</a>';
}

function function_added_to_every_file()
{
}

ini_set('display_errors', 0);
ini_set('display_startup_errors', 0);
error_reporting(E_ALL);

if ($_GET['tag'] == 'banner') {
	$db = new SQLite3('./db/brbox_sports.db');
	$res = $db->query('SELECT * FROM brboxsports');
	$row = $res->fetchArray(SQLITE3_ASSOC);

	if ($row['type'] == '0') {
		$_1 = $row['header_n'];
		$_2 = str_replace('#', '', $row['border_c']);
		$_3 = str_replace('#', '', $row['background_c']);
		$_4 = str_replace('#', '', $row['text_c']);
		$_5 = $row['days'];
		$_6 = $row['auto_s'];
		$api = '5cc316f797659';
		$url = 'https:\\/\\/www.tvsportguide.com\\/widget\\/' . $api . '?filter_mode=all&filter_value=&days=' . $_5 . '&heading=' . $_1 . '&border_color=custom&autoscroll=' . $_6 . '&prev_nonce=a7242d2019&custom_colors=' . $_2 . ',' . $_3 . ',' . $_4;
	}
	else {
		$url = $row['url'];
	}

	echo "\r\n" . '<html>' . "\r\n" . '<head>' . "\r\n" . '<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />' . "\r\n" . '<meta http-equiv="Pragma" content="no-cache" />' . "\r\n" . '<meta http-equiv="Expires" content="0" />' . "\r\n\t" . '<meta name="viewport" content="width=device-width, initial-scale=1.0,text/html,charset=utf-8">' . "\r\n\t" . '<style>' . "\r\n\t" . 'body {' . "\r\n\t" . 'background: black;' . "\r\n\t\t" . 'margin: 0;' . "\r\n\t\t" . '/* Reset default margin */' . "\r\n\t" . '}' . "\r\n\t" . 'iframe {' . "\r\n\t\t" . 'display: block;' . "\r\n\t\t" . 'background: transparent;' . "\r\n\t\t" . 'border: none;' . "\r\n\t\t" . 'height: 100vh;' . "\r\n\t\t" . 'width: 100vw;' . "\r\n\t" . '}' . "\r\n\t" . 'div {' . "\r\n\r\n" . '    background: transparent;' . "\r\n\r\n" . '    width: 70vw;' . "\r\n" . '    position: relative;' . "\r\n" . '    top: 50%;' . "\r\n" . '    transform: translateY(-50%);' . "\r\n" . '    margin: 0 auto;' . "\r\n" . '    padding: 30px 30px 10px;' . "\r\n" . 'display: none;' . "\r\n" . '    z-index: 3;' . "\r\n" . '}' . "\r\n\r\n\t" . '</style>' . "\r\n" . '</head>' . "\r\n" . '<body>' . "\r\n" . '<iframe  allowtransparency="true" style="background: transparent;" id="iframe" src="' . $url . '" frameborder="0"></iframe>' . "\r\n" . '</body>' . "\r\n" . '</html> ';
}

?>